> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Vehicles

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates a new Vehicle request to retrieve the Entity's vehicles.

Operation Type: <Tooltip tip="Your request is processed immediately, and you'll receive a response before proceeding.">⚡ Synchronous</Tooltip>

## Path Parameters

<ParamList
  items={[
{
name: 'ent_id',
type: 'string',
required: true,
description: 'The ID of the Entity.'
}
]}
/>

## Returns

Returns an Entity's Vehicles object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/vehicles \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const entity = await method
    .entities('ent_au22b1fbFJbp8')
    .vehicles
    .create();
  ```

  ```python Python theme={null}
  entity = method
    .entities('ent_au22b1fbFJbp8')
    .vehicles
    .create()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "evhl_knqJgxKUnqDVJ",
    "entity_id": "ent_zR3nJG3c99P3X",
    "vehicles": [
      {
        "vin": "2G1125S36F9220155",
        "year": "2015",
        "make": "chevrolet",
        "model": "impala",
        "series": null,
        "major_color": "black",
        "style": "sedan/saloon"
      },
      {
        "vin": "JN8AZ2NF0C9518827",
        "year": "2012",
        "make": "infiniti",
        "model": "qx56",
        "series": null,
        "major_color": "black",
        "style": "sport_utility_vehicle"
      }
    ],
    "status": "completed",
    "error": null,
    "updated_at": "2024-08-01T16:08:25.462Z",
    "created_at": "2024-08-01T16:08:25.462Z"
  }
  ```
</ResponseExample>
